//go:build cgo && !disable_codec_livdav1d

package libdav1d

import (
	"git.gammaspectra.live/S.O.N.G/Ignite/testdata"
	"os"
	"testing"
)

func TestVersion(t *testing.T) {
	t.Logf("dav1d version: %s", Version())
}

func TestDecodeYUV420_8bit(t *testing.T) {
	if testing.Short() {
		t.Skip("skipping test in short mode")
	}
	f, err := os.Open(testdata.AV1_Sintel_Trailer_720p24_YUV420_8bit_Low)
	if err != nil {
		t.Fatal(err)
	}
	defer f.Close()

	if decoder, err := NewDecoder(f, nil); err != nil {
		t.Fatal(err)
	} else {
		defer decoder.Close()
		decoded := 0
		for range decoder.DecodeStream().Channel() {
			//ingest
			decoded++
		}

		if decoded != 1253 {
			t.Fatalf("expected %d frames, got %d", 1253, decoded)
		}
	}
}
