package y4m

import (
	"git.gammaspectra.live/S.O.N.G/Ignite/testdata"
	"os"
	"testing"
)

func TestDecodeYUV420_8bit(t *testing.T) {
	f, err := os.Open(testdata.Y4M_Sintel_Trailer_720p24_YUV420_8bit)
	if err != nil {
		t.Fatal(err)
	}
	defer f.Close()

	if y4m, err := NewDecoder(f, nil); err != nil {
		t.Fatal(err)
	} else {
		defer y4m.Close()
		decoded := 0
		for range y4m.DecodeStream().Channel() {
			//ingest
			decoded++
		}

		if decoded != 1253 {
			t.Fatalf("expected %d frames, got %d", 1253, decoded)
		}
	}
}
